#!/bin/bash
# Copyright 2010 Novell, Inc.
# Author: Peter Bowen <pzb@novell.com> as a work made for hire
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#%stage: boot
#%depends: start
#
##### Fixups and features for Amazon EC2
# For openSUSE 11.0 and later

##
## We need to make our console a dumb terminal so the output can be captured
##  as plain text for GetConsoleOutput
##

if [ "$console" == "xvc0" -o "$console" == "hvc0" ]; then
    export TERM=dumb
fi
